signal.cpp File Reference
`#include <core/posix/signalable.h>`
`#include <poll.h>`
`#include <pthread.h>`
`#include <sys/eventfd.h>`
`#include <sys/signalfd.h>`
`#include <unistd.h>`
`#include <atomic>`
Include dependency graph for signal.cpp:

Go to the source code of this file.

## Classes

class | impl::SignalTrap

## Namespaces

namespace | impl

## Functions

void | impl::set_thread_signal_mask (::sigset_t *new_mask, ::sigset_t *old_mask)
void | impl::set_process_signal_mask (::sigset_t *new_mask, ::sigset_t *old_mask)